Skip to main content
GET
/
{team_id}
/
time
/
timer
Get the current user's active timer
curl --request GET \
  --url https://api.superthread.com/v1/{team_id}/time/timer \
  --header 'Authorization: Bearer <token>'
{
  "active_timer": {
    "team_id": "tDsu0j19",
    "user_id": "uR2dws11",
    "scope_type": "card",
    "scope_id": "2700",
    "started_at": 1608742037016,
    "description": "Pairing with Alex on the API spec",
    "billable": true,
    "version": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Response

Active timer, or an empty response when no timer is running

active_timer
object

A user's currently-running timer. Singleton per user per workspace.